SDL_pspgl_c.h File Reference
`#include <GLES/egl.h>`
`#include <GLES/gl.h>`
`#include "SDL_pspvideo.h"`
Include dependency graph for SDL_pspgl_c.h:

Go to the source code of this file.

## Data Structures

struct | SDL_GLDriverData

## Functions

void * | PSP_GL_GetProcAddress (_THIS, const char *proc)
int | PSP_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
void | PSP_GL_SwapBuffers (_THIS)
void | PSP_GL_SwapWindow (_THIS, SDL_Window *window)
SDL_GLContext | PSP_GL_CreateContext (_THIS, SDL_Window *window)
int | PSP_GL_LoadLibrary (_THIS, const char *path)
void | PSP_GL_UnloadLibrary (_THIS)
int | PSP_GL_SetSwapInterval (_THIS, int interval)
int | PSP_GL_GetSwapInterval (_THIS)

## Function Documentation

SDL_GLContext PSP_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void* PSP_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

int PSP_GL_GetSwapInterval | ( | _THIS |  | ) |

int PSP_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

int PSP_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

int PSP_GL_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

void PSP_GL_SwapBuffers | ( | _THIS |  | ) |

void PSP_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_GL_UnloadLibrary | ( | _THIS |  | ) |